Subject: Re: [PATCH SLOF v3 3/5] disk-label: rename confusing "block" word

From: Segher Boessenkool <[email-masked]>
Date: Wed, 1 Jul 2015 02:32:38 -0500

On Tue, Jun 30, 2015 at 04:31:19PM +0530, Nikunj A Dadhania wrote:
> "block" word is not a block number, actually its an allocated host
> address.  Rename it to disk-buf along with a associated
> size(disk-buf-size=4096) for using during allocation/free.
> 
> Also renaming the helper routine read-sector to read-disk-buf. This
> routine assumes the address to be disk-buf and only takes sector number
> as argument.

This isn't what I suggested, and I think it is a terrible idea.
Just FWIW :-)

Segher